## ros-indigo-naoqi-pose 0.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(naoqi_pose)

# Find all required modules for compilation
find_package(catkin REQUIRED)

# This will install python libraries
catkin_python_setup()

# Declare info that other packages need to import messages generated here
catkin_package( )

#And this will install python nodes
catkin_install_python(PROGRAMS ./nodes/pose_controller.py ./nodes/pose_manager.py ./scripts/execute_pose.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Instructions to install launch files
install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch )

# Install config files
install(DIRECTORY config/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config)

=== debian/changelog ===
ros-indigo-naoqi-pose (0.5.5-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Mon, 19 Sep 2016 07:00:00 -0000

ros-indigo-naoqi-pose (0.5.4-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 20 May 2016 07:00:00 -0000

ros-indigo-naoqi-pose (0.5.3-0trusty) trusty; urgency=high

  * add services for life
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Wed, 26 Aug 2015 07:00:00 -0000

ros-indigo-naoqi-pose (0.5.2-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 11 Aug 2015 07:00:00 -0000

ros-indigo-naoqi-pose (0.5.1-0trusty) trusty; urgency=high

  * generate changelog
  * generate changelog
  * rename naoqi_msgs to naoqi_bridge_msgs
  * Contributors: Karsten Knese
  * generate changelog
  * rename naoqi_msgs to naoqi_bridge_msgs
  * Contributors: Karsten Knese
  * rename naoqi_msgs to naoqi_bridge_msgs
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 31 Jul 2015 07:00:00 -0000

ros-indigo-naoqi-pose (0.5.0-0trusty) trusty; urgency=high

  * delete legacy msg package
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-naoqi-pose (0.4.8-0trusty) trusty; urgency=high

  * fix package name/version for nao_pose -> naoqi_pose
  * properly install Python scripts
    This fixes #19 <https://github.com/ros-naoqi/naoqi_bridge/issues/19>
  * add wakeup and rest services
  * remove trailing spaces
  * bugfix: python imports
  * moved pose manager into nao_robot
  * transfer nao_robot
  * get the accent right in Séverin's name
  * Fix xapparser __init__.py encoding, UTF used in header
  * Moved the predefined pose support from pose_manager to nao_controller. Action name changed as well
  * Support for predefined postures via actionlib
  * {ahornung->ros-nao}
  * Replace accented character in package.xml files, seems to cause
    problems with bloom
  * Adjust version number mismatch
  * Adding bugtracker and repo URLs to package manifests
  * Fix xapparser.py encoding, UTF used in header:
    http://www.python.org/peps/pep-0263.html
  * Small cleanup after many merges
  * [nao_pose] Added support for Choregraphe's XAP posture library
    This allows a user to create Nao posture from Choregraphe, export them to XAP files
    and load them in the pose library for later invokation with body_pose action.
  * [nao_pose] Add a parser for Choregraphe XAP posture libraries
  * [nao_pose] Remove useless build dependencies
  * [nao_pose] Do not include nao_driver.launch in pose manager launch file
  * [nao_pose] remove references to roslib
  * Import pose_manager from nao_remote into nao_robot/nao_pose
  * Contributors: Armin Hornung, Karsten Knese, Kei Okada, Manos Tsardoulias, Miguel Sarabia, Mikael ARGUEDAS, Séverin Lemaignan, Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 25 Jun 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-naoqi-pose
Section: misc
Priority: extra
Maintainer: Séverin Lemaignan <severin.lemaignan@epfl.ch>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/naoqi_pose
Standards-Version: 3.9.2

Package: ros-indigo-naoqi-pose
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-naoqi-bridge-msgs, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-trajectory-msgs
Conflicts: ros-indigo-nao-pose
Description: This package contains nodes for managing Nao's poses.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-naoqi-pose//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
